org.apache.tinkerpop.gremlin.hadoop

## Class Constants

- java.lang.Object
- - org.apache.tinkerpop.gremlin.hadoop.Constants

-     public final class Constants
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DOT_JAR`
    `static String` | `GREMLIN_HADOOP_DEFAULT_GRAPH_COMPUTER`
    `static String` | `GREMLIN_HADOOP_GIRAPH_JOB_PREFIX`
    `static String` | `GREMLIN_HADOOP_GRAPH_FILTER`
    `static String` | `GREMLIN_HADOOP_GRAPH_READER`
    `static String` | `GREMLIN_HADOOP_GRAPH_READER_HAS_EDGES`
    `static String` | `GREMLIN_HADOOP_GRAPH_WRITER`
    `static String` | `GREMLIN_HADOOP_GRAPH_WRITER_HAS_EDGES`
    `static String` | `GREMLIN_HADOOP_GRAPHSON_VERSION`
    `static String` | `GREMLIN_HADOOP_INPUT_LOCATION` A key mapped to non-null, not empty UNIX-formatted file system path
    `static String` | `GREMLIN_HADOOP_JARS_IN_DISTRIBUTED_CACHE`
    `static String` | `GREMLIN_HADOOP_JOB_PREFIX`
    `static String` | `GREMLIN_HADOOP_MAP_REDUCE_CLASS`
    `static String` | `GREMLIN_HADOOP_OUTPUT_LOCATION` A key mapped to non-null, not empty UNIX-formatted file system path to store the graph, memory and other files and directories, specific for Hadoop.
    `static String` | `GREMLIN_HADOOP_SPARK_JOB_PREFIX`
    `static String` | `GREMLIN_HADOOP_VERTEX_PROGRAM_INTERCEPTOR`
    `static String` | `GREMLIN_SPARK_GRAPH_STORAGE_LEVEL`
    `static String` | `GREMLIN_SPARK_PERSIST_CONTEXT`
    `static String` | `GREMLIN_SPARK_PERSIST_STORAGE_LEVEL`
    `static String` | `GREMLIN_SPARK_SKIP_GRAPH_CACHE`
    `static String` | `GREMLIN_SPARK_SKIP_PARTITIONER`
    `static String` | `HADOOP_GREMLIN_LIBS`
    `static String` | `HIDDEN_G`
    `static String` | `HIDDEN_ITERATION`
    `static String` | `MAPREDUCE_INPUT_FILEINPUTFORMAT_INPUTDIR`
    `static String` | `SPARK_KRYO_REGISTRATION_REQUIRED`
    `static String` | `SPARK_KRYO_REGISTRATOR`
    `static String` | `SPARK_SERIALIZER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getGraphLocation(String location)`
    `static String` | `getMemoryLocation(String location, String memoryKey)`
    `static Optional<String>` | `getSearchGraphLocation(String location, Storage storage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GREMLIN_HADOOP_INPUT_LOCATION

          public static final String GREMLIN_HADOOP_INPUT_LOCATION

      A key mapped to non-null, not empty UNIX-formatted file system path
      See Also:
        `getGraphLocation(String)`, `getMemoryLocation(String, String)`, Constant Field Values

    - #### GREMLIN_HADOOP_OUTPUT_LOCATION

          public static final String GREMLIN_HADOOP_OUTPUT_LOCATION

      A key mapped to non-null, not empty UNIX-formatted file system path to store the graph, memory and other files and directories, specific for Hadoop.
      See Also:
        `getGraphLocation(String)`, `getMemoryLocation(String, String)`, Constant Field Values

    - #### GREMLIN_HADOOP_GRAPH_READER

          public static final String GREMLIN_HADOOP_GRAPH_READER

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_GRAPH_WRITER

          public static final String GREMLIN_HADOOP_GRAPH_WRITER

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_GRAPH_READER_HAS_EDGES

          public static final String GREMLIN_HADOOP_GRAPH_READER_HAS_EDGES

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_GRAPH_WRITER_HAS_EDGES

          public static final String GREMLIN_HADOOP_GRAPH_WRITER_HAS_EDGES

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_GRAPH_FILTER

          public static final String GREMLIN_HADOOP_GRAPH_FILTER

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_DEFAULT_GRAPH_COMPUTER

          public static final String GREMLIN_HADOOP_DEFAULT_GRAPH_COMPUTER

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_VERTEX_PROGRAM_INTERCEPTOR

          public static final String GREMLIN_HADOOP_VERTEX_PROGRAM_INTERCEPTOR

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_GRAPHSON_VERSION

          public static final String GREMLIN_HADOOP_GRAPHSON_VERSION

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_JARS_IN_DISTRIBUTED_CACHE

          public static final String GREMLIN_HADOOP_JARS_IN_DISTRIBUTED_CACHE

      See Also:
        Constant Field Values

    - #### HIDDEN_G

          public static final String HIDDEN_G

    - #### GREMLIN_HADOOP_JOB_PREFIX

          public static final String GREMLIN_HADOOP_JOB_PREFIX

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_GIRAPH_JOB_PREFIX

          public static final String GREMLIN_HADOOP_GIRAPH_JOB_PREFIX

      See Also:
        Constant Field Values

    - #### GREMLIN_HADOOP_SPARK_JOB_PREFIX

          public static final String GREMLIN_HADOOP_SPARK_JOB_PREFIX

      See Also:
        Constant Field Values

    - #### HADOOP_GREMLIN_LIBS

          public static final String HADOOP_GREMLIN_LIBS

      See Also:
        Constant Field Values

    - #### DOT_JAR

          public static final String DOT_JAR

      See Also:
        Constant Field Values

    - #### HIDDEN_ITERATION

          public static final String HIDDEN_ITERATION

    - #### GREMLIN_HADOOP_MAP_REDUCE_CLASS

          public static final String GREMLIN_HADOOP_MAP_REDUCE_CLASS

      See Also:
        Constant Field Values

    - #### MAPREDUCE_INPUT_FILEINPUTFORMAT_INPUTDIR

          public static final String MAPREDUCE_INPUT_FILEINPUTFORMAT_INPUTDIR

      See Also:
        Constant Field Values

    - #### GREMLIN_SPARK_PERSIST_CONTEXT

          public static final String GREMLIN_SPARK_PERSIST_CONTEXT

      See Also:
        Constant Field Values

    - #### GREMLIN_SPARK_GRAPH_STORAGE_LEVEL

          public static final String GREMLIN_SPARK_GRAPH_STORAGE_LEVEL

      See Also:
        Constant Field Values

    - #### GREMLIN_SPARK_PERSIST_STORAGE_LEVEL

          public static final String GREMLIN_SPARK_PERSIST_STORAGE_LEVEL

      See Also:
        Constant Field Values

    - #### GREMLIN_SPARK_SKIP_PARTITIONER

          public static final String GREMLIN_SPARK_SKIP_PARTITIONER

      See Also:
        Constant Field Values

    - #### GREMLIN_SPARK_SKIP_GRAPH_CACHE

          public static final String GREMLIN_SPARK_SKIP_GRAPH_CACHE

      See Also:
        Constant Field Values

    - #### SPARK_SERIALIZER

          public static final String SPARK_SERIALIZER

      See Also:
        Constant Field Values

    - #### SPARK_KRYO_REGISTRATOR

          public static final String SPARK_KRYO_REGISTRATOR

      See Also:
        Constant Field Values

    - #### SPARK_KRYO_REGISTRATION_REQUIRED

          public static final String SPARK_KRYO_REGISTRATION_REQUIRED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGraphLocation

          public static String getGraphLocation(String location)

      Parameters:
        `location` - not null, not empty UNIX-formatted file system path
      Returns:
        not empty UNIX-formatted file system path to the graph in the location, still compatible with Windows and `File`

    - #### getMemoryLocation

          public static String getMemoryLocation(String location,
                                                 String memoryKey)

      Parameters:
        `location` - not null, not empty UNIX-formatted file system path
        `memoryKey` - not null, not empty
      Returns:
        not empty UNIX-formatted file system path to the memory in the location, still compatible with Windows and `File`

    - #### getSearchGraphLocation

          public static Optional<String> getSearchGraphLocation(String location,
                                                                Storage storage)

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.